Versão do MAGIC

6 views
Skip to first unread message

Paulo Marques

unread,
Oct 25, 2013, 2:02:58 PM10/25/13
to py...@googlegroups.com
Qual versão do magic devo usar?

>>> import magic
>>> magic.MAGIC_MIME_TYPE
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: 'module' object has no attribute 'MAGIC_MIME_TYPE'


>>> dir(magic)
['MAGIC_CHECK', 'MAGIC_COMPRESS', 'MAGIC_CONTINUE', 'MAGIC_DEBUG', 'MAGIC_DEVICES', 'MAGIC_ERROR', 'MAGIC_MIME', 'MAGIC_MIME_ENCODING', 'MAGIC_NONE', 'MAGIC_NO_CHECK_APPTYPE', 'MAGIC_NO_CHECK_ASCII', 'MAGIC_NO_CHECK_COMPRESS', 'MAGIC_NO_CHECK_ELF', 'MAGIC_NO_CHECK_FORTRAN', 'MAGIC_NO_CHECK_SOFT', 'MAGIC_NO_CHECK_TAR', 'MAGIC_NO_CHECK_TOKENS', 'MAGIC_NO_CHECK_TROFF', 'MAGIC_PRESERVE_ATIME', 'MAGIC_RAW', 'MAGIC_SYMLINK', 'Magic', 'MagicException', '__builtins__', '__doc__', '__file__', '__name__', '__package__', '_get_magic_type', '_magic_buffer', '_magic_file', '_magic_load', 'c_char_p', 'c_int', 'c_size_t', 'c_void_p', 'coerce_filename', 'ctypes', 'dll', 'errorcheck_negative_one', 'errorcheck_null', 'from_buffer', 'from_file', 'glob', 'instances', 'libmagic', 'magic_buffer', 'magic_check', 'magic_close', 'magic_compile', 'magic_errno', 'magic_error', 'magic_file', 'magic_load', 'magic_open', 'magic_setflags', 'magic_t', 'os', 'sys', 'threading']

Flávio Amieiro

unread,
Oct 25, 2013, 2:41:44 PM10/25/13
to py...@googlegroups.com
Paulo,

O nome do pacote dessa biblioteca é filemagic, e nós estamos usando a versão 1.5. Imagino que possa ser alguma diferença na versão mesmo. Todas as dependências para todos os workers que temos estão documentadas em https://github.com/NAMD/pypln.backend/blob/develop/requirements/production.txt . Você não vai precisar de todas elas para rodar o código do extrator, mas todas as que você precisa estão aí.

Abraços,
Flávio Amieiro


--
You received this message because you are subscribed to the Google Groups "PyPLN" group.
To unsubscribe from this group and stop receiving emails from it, send an email to pypln+un...@googlegroups.com.
To post to this group, send email to py...@googlegroups.com.
Visit this group at http://groups.google.com/group/pypln.
For more options, visit https://groups.google.com/groups/opt_out.

Paulo Marques

unread,
Oct 25, 2013, 3:24:26 PM10/25/13
to py...@googlegroups.com
Flavio, mais uma vez obrigado!!! Estou olhando o código agora para entendê-lo melhor.
Abs,
Paulo
Reply all
Reply to author
Forward
0 new messages